#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    string s;
    int q, e=0;
    cin>>s;
    int mas[20010];
    for (int i=0; i<s.size()-1; i++){
        if (s[i]>s[i+1]){
            mas[e]=i;
            e++;
        }
    }
    cin>>q;
    while(q--){
        int l,r;
        cin>>l>>r;
        l--;
        r--;
        int res=1;
        for (int i=0; i<e; i++){
            if (mas[i]>=l && mas[i]<r) res++;
            if (mas[i]>=r) break;
        }
        cout<<res<<endl;
    }
}